BEEM - Android XMPP - Bug #147

Reconnection, boutton login dans les settings
05/29/2009 05:55 PM - Vincent Véronis
Priority: Normal Due date:

Assignee: Jean-Manuel Da Silva % Done: 100%
Category: User Interface Estimated time: 1.00 hour
Target version: 0.1

Affected version: Locale:

Description

Lorsqu'on clique sur login dans le menu settings, les preferences ne sont pas prises en compte lors de la reconnection.
Il faut modifier le beemService pour prendre en compte les nouvelles valeurs.

Associated revisions

Revision 228:3bf40efc08ea - 06/01/2009 05:02 PM - Jean-Manuel Da Silva

Bug #147 - Changement dans I'activité Login afin de prendre en compte les nouvelles preferences lors de la reconnection, aprés avoir quitté I'activité
Settings

Revision 228:3bf40efc08ea - 06/01/2009 05:02 PM - dasilvi@jean-manuel-da-silvas-macbook.local

Bug #147 - Changement dans l'activité Login afin de prendre en compte les nouvelles preferences lors de la reconnection, apres avoir quitté I'activité
Settings

Revision 228:3bf40efc08ea - 06/01/2009 05:02 PM - dasilvi@jean-manuel-da-silvas-macbook.local
Bug #147 - Changement dans I'activité Login afin de prendre en compte les nouvelles preferences lors de la reconnection, aprés avoir quitté I'activité

Settings

Revision 232:37d9a5828650 - 06/01/2009 09:04 PM - Jean-Manuel Da Silva

Bug #147 - Arret du service lorsque I'on save, et non pas a chaque fois que I'on bascule de Settings vers le Login

Revision 232:37d9a5828650 - 06/01/2009 09:04 PM - dasilvij@jean-manuel-da-silvas-macbook.local

Bug #147 - Arret du service lorsque I'on save, et non pas a chaque fois que I'on bascule de Settings vers le Login

Revision 232:37d9a5828650 - 06/01/2009 09:04 PM - dasilvij@jean-manuel-da-silvas-macbook.local

Bug #147 - Arret du service lorsque I'on save, et non pas a chaque fois que I'on bascule de Settings vers le Login

History

#1 - 05/29/2009 06:42 PM - Frédéric Barthéléry

- Assignee changed from Frédeéric Barthéléry to Jean-Manuel Da Silva

De ce que j'ai vu du code il suffit juste de stopper le service avant de lancer l'activite login. J'ai pas encore regarder en detail.

#2 - 06/01/2009 05:03 PM - Jean-Manuel Da Silva
- Status changed from New to Feedback

- % Done changed from 0 to 100

Stop du service lorsque Login fait appel a onPause(), redemarrage de celui sur onResume().
Ca doit marcher! Pas d'openfire sous la main pour tester!

#3 - 06/09/2009 03:38 PM - Vincent Véronis
- Status changed from Feedback to Closed
